// Skybox

textures/eichsfeld_te/kamisky_night
{
	qer_editorimage textures/skies/sky_8.tga
	q3map_skylight 55 5 // was 55 3 must be 55 5
	q3map_sunExt 0.17 0.17 0.24 65 42 30 2 16 // red green blue intensity degrees elevation deviance samples
	q3map_sun 0.17 0.17 0.24 1 42 30 // red green blue intensity degrees elevation
	nocompress
	skyparms - 200 -
	sunshader textures/eichsfeld_te/pmoon
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
 
	
	{	fog off
		map textures/skies_sd/goldrush_clouds.tga
		tcMod scale 5 5
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}


	{	fog off
		map textures/skies/nightsky1.jpg
		tcMod scale 10 10
		blendfunc add
		rgbGen identityLighting
	}

	{
		fog off
		clampmap textures/eichsfeld_te/pnight_mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen const ( 0.4 0.4 0.4 )
	
	}
}

textures/eichsfeld_te/pmoon
{
	qer_editorimage textures/eichsfeld_te/pm_moon.tga
	nocompress
	cull none
	q3map_nofog
	
	{
		map textures/eichsfeld_te/pm_moon.tga
		blendFunc blend
		rgbGen identityLighting
		
	}
}
textures/eichsfeld_te/kamisky_night
{
	qer_editorimage textures/skies/sky_8.tga
	q3map_globaltexture
	q3map_lightimage textures/skies/n_blue2.tga
	q3map_lightsubdivide 512
	q3map_sun 0.3 0.3 0.45 30 35 45
	q3map_surfacelight 27
	nocompress
	skyparms - 200 -
	sunshader sun
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	{
		map textures/skies/nightsky1.tga
		tcMod scale 16.0 16.0
	}
	{
		map textures/skies/vil_clouds1.tga
		blendfunc blend
		tcMod scroll 0.001 0.00
		tcMod scale 2 1
	}
}



textures/skies/sky_goldrush
{
	qer_editorimage textures/skies/sky_8.tga
	q3map_globaltexture
	q3map_lightimage textures/skies/n_blue2.tga
	q3map_lightsubdivide 512
	q3map_sun 0.3 0.3 0.45 30 35 45
	q3map_surfacelight 27
	nocompress
	skyparms - 200 -
	sunshader sun
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	surfaceparm nodraw
	surfaceparm nomarks
	{
		map textures/skies/nightsky1.tga
		tcMod scale 16.0 16.0
	}
	{
		map textures/skies/vil_clouds1.tga
		blendfunc blend
		tcMod scroll 0.001 0.00
		tcMod scale 2 1
	}
}


